package jp.sourceforge.nicoro;

import android.app.Dialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.support.v4.app.DialogFragment;

/**
 * Now Loadingという表示のProgressDialogを表示
 *
 */
public class NowLoadingDialogFragment extends DialogFragment {
    @Override
    public Dialog onCreateDialog(Bundle savedInstanceState) {
        return Util.createProgressDialogLoading(
                getActivity(), R.string.now_loading,
                new DialogInterface.OnCancelListener() {
                    @Override
                    public void onCancel(DialogInterface dialog) {
                        // TODO 別Listへの切り替えやタブレットUIなどとの兼ね合い考えてどうするか
//                        getActivity().finish();
                    }
                });
    }
}
